nn.pp.rccore

## Interface IVideoSettings.IVideoSettingInteger

- All Superinterfaces:
    IVideoSettings.IVideoSetting, IVideoSettings.IVideoSettingIntegerReadOnly
  All Known Implementing Classes:
    VideoSettings.VideoSettingInteger
  Enclosing interface:
    IVideoSettings

      public static interface IVideoSettings.IVideoSettingInteger
      extends IVideoSettings.IVideoSettingIntegerReadOnly

  An integer based video setting that can be changed by the user.

  This setting has a minimum and a maximum value. It is ensured that the value is never below the minimum or above the maximum value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxValue()` Get the maximum value for this setting
    `int` | `getMinValue()` Get the minimum value for this setting
    `void` | `setMaxValue(int maxValue)` Set the maximum value for this setting
    `void` | `setMinValue(int minValue)` Set the minimum value for this setting

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSettingIntegerReadOnly

      `getValue, setValue`

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSetting

      `isSupported, setSupported`

- - ### Method Detail

    - #### getMinValue

          int getMinValue()

      Get the minimum value for this setting
      Returns:
        the minimum value for this setting

    - #### setMinValue

          void setMinValue(int minValue)

      Set the minimum value for this setting
      Parameters:
        `minValue` - the minimum value for this setting

    - #### getMaxValue

          int getMaxValue()

      Get the maximum value for this setting
      Returns:
        the maximum value for this setting

    - #### setMaxValue

          void setMaxValue(int maxValue)

      Set the maximum value for this setting
      Parameters:
        `maxValue` - the maximum value for this setting

Copyright © 2025 Raritan Inc. All Rights Reserved.